<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <h2>HTML Entities</h2>
    <p><em>Reserved characters in HTML (e.g. &lt; and &gt; characters that can mix up with HTML code.)</em></p>

    <table border="1">
        <!-- The <table> tag defines the HTML table in a tabular form -->
        <thead>
            <!-- <thead> is used to group table header content -->
            <tr>
                <!-- <tr> defines a table row -->
                <!-- the colspan attr defines a column that the table will occupy. -->
                <th colspan="2">Entity</th>
                <!-- the <th> tag creates a table element -->
                <th>Description</th>
            </tr>
        </thead>

        <tbody>
            <!-- The tbody tag is use to group table body content -->
            <tr>
                <td>&lt;</td>
                <!-- the td tag defines a table data element -->
                <td>lt</td>
                <td>less than</td>
            </tr>

            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>

            <tr>
                <td>&#8369</td>
                <td>#8369</td>
                <td>Peso sign</td>
            </tr>

            <tr>
                <td>&amp;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>

            <tr>
                <td>&quot;</td>
                <td>quot</td>
                <td>double qoutation mark</td>
            </tr>

            <tr>
                <td>&apos;</td>
                <td>apos</td>
                <td>apostrophe</td>
            </tr>

            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower Tilde</td>
            </tr>

            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper Tilde</td>
            </tr>
            
            <tfoot>
                <!-- tfoot is use to group table footer content -->
                <tr>
                    <th colspan="3">List of HTML entities</th>
                </tr>
            </tfoot>
        </tbody>
    </table>

    <h2>HTML Forms</h2>
    <p>
        <em>HTML Forms</em>
    </p>

    <form action="https://google.com" target="_blank">
        <!-- the form tag creates an HTML form to capture user input -->
        <!-- The action attr is use to define where the infomation will be sent -->

        <label for="fullName">Full Name:</label><br>
        <input type="text" name="fullName" id="fullName" required><br>
        <!-- the input tag creates an input field to capture user input -->
        <!-- the type attr will determine what type of information the input field should have. Changing its value will automatically change the behavior of the input field.-->
        <!-- the name attr will provided the input field with a name that we can use to associate with the information provided by the user -->
        <!-- the autocomplete attr will provide suggestion for text input for a better UX -->

        <label for="birthDate">Birth Date:</label><br>
        <input type="date" name="birthDate" id="birthDate" required><br>

        <label for="ageNum">Age:</label><br>
        <input type="number" name="ageNum" id="ageNum" required><br>

        <label for="gender">Gender:</label>
        <select name="gender" id="gender">
            <!-- the select tag creates a dropdown menu based on the nested option tag -->
            <option value="Male">Male</option>
            <!-- the option tag creates an option for the dropdown menu created by the selected tag -->
            <option value="Female">Female</option>
        </select><br>

        <label for="notes">Notes:</label><br>
        <textarea name="notes" id="notes" cols="30" rows="10"></textarea><br>
        <!-- the textarea creates a large text input -->

        <label>New User:</label>

        <input type="radio" name="newUser" id="userType1" value="yes">
        <label for="userType1">Yes</label>

        <input type="radio" name="newUser" id="userType2" value="no">
        <label for="userType2">No</label><br>

        <label for="">Role:</label><br>
        <!-- creates checkboxes for multiple choices -->
        <input type="checkbox" name="role1" id="role1" value="Developer">
        <label for="role1">Developer</label><br>
        <input type="checkbox" name="role2" id="role2" value="Student">
        <label for="role2">Student</label><br>
        <input type="checkbox" name="role2" id="role2" value="Manager">
        <label for="role2">Manager</label><br>
        <!-- The checkbox value will create a checkbox multiple option values -->
        <!-- the name has to be unique for each checkbox -->
        
        <button type="submit">Submit</button>
        <!-- the button tag creates a button that will submit the form data -->

        <button type="reset">Reset</button>
        <!-- creates a button to reset the form data -->
    </form>
</body>
</html>